GET /api/v1/kyb/absher-otp/{commercialNumber}/{nationalId} — Absher OTP with CR
Initiate an Absher OTP verification for an individual associated with a specific commercial registration. Verifies that the person is authorized to sign on behalf of the company.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
Path Parameters
- commercialNumber (string, required)
- The CR number of the company
- nationalId (string, required)
- The Saudi National ID of the person
Responses
HTTP 200 — Absher OTP sent
{
"data": "3426",
"errorCode": 0,
"message": "AbsherOtp sent successfully",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 200 — not enough credit
{
"data": null,
"errorCode": 152,
"message": "There is not enough credit to Absher Quota",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}